Bug 580478 - OpenJDK .desktop files use /usr/bin/..., but these may be symlinks to executables from other JDKs
OpenJDK .desktop files use /usr/bin/..., but these may be symlinks to executa...
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: java-1.6.0-openjdk (Show other bugs)
5.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: jiri vanek
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-08 07:23 EDT by Radek Bíba
Modified: 2012-01-06 11:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-06 11:58:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2010-04-08 07:23:29 EDT
Description of problem:
$ grep ^Exec= /usr/share/applications/java-1.6.0-openjdk*.desktop
/usr/share/applications/java-1.6.0-openjdk-jconsole.desktop:Exec=/usr/bin/jconsole
/usr/share/applications/java-1.6.0-openjdk-policytool.desktop:Exec=/usr/bin/policytool

That looks correct, but the target files are managed by Alternatives, so they're symlinks to /etc/alternatives/jconsole and /etc/alternatives/policytool, and these are only symlinks to the OpenJDK jconsole and policytool when OpenJDK is configured as 'java'/'javac'. When e.g. the SUN JDK is set up, the SUN JDK jconsole or policytool are executed when the menu items are clicked.

The .desktop files should use full paths to the OpenJDK executables, ie. /usr/lib/jvm/java-1.6.0-openjdk/bin/jconsole and /usr/lib/jvm/java-1.6.0-openjdk/bin/policytool.

Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-1.6.0.0-1.11.b16.el5
Comment 5 Andrew John Hughes 2011-01-18 09:19:59 EST
The upstream bugzilla is at http://icedtea.classpath.org/bugzilla.
Comment 6 jiri vanek 2011-01-19 07:09:09 EST
I do not want to add this to icedtera bugzilla. I want to repair this in its makefile. But as i walked through it, i wa snot able to find proper place.
Comment 10 Radek Bíba 2011-12-28 12:50:09 EST
Thanks :)

Note You need to log in before you can comment on or make changes to this bug.